Replace all Expected Power Shelves
Replace the complete Expected Power Shelf set for one Site. Entries omitted from the request are deleted, and entries in the request are created with new REST IDs. The expectedPowerShelves array may be empty to clear the Site’s set.
Every entry must use the top-level siteId. BMC MAC addresses and shelf serial numbers must be unique within the replacement set.
Org must have an Infrastructure Provider entity. User must have authorization role with PROVIDER_ADMIN suffix.
Alternatively, Tenant Admins with TargetedInstanceCreation capability can also replace Expected Power Shelves if they have an account with the Site’s Infrastructure Provider.
Authentication
export JWT_BEARER_TOKEN="<jwt-bearer-token>"
# Example org name: "acme-inc
export ORG_NAME=<org-name>
# Use the JWT bearer token in your API request auth header:
curl -v -X GET -H "Content-Type: application/json" -H "Authorization: Bearer $JWT_BEARER_TOKEN" https://nico-rest-api.nico.svc.cluster.local/v2/org/$ORG_NAME/nico/user/current
Path parameters
Request
Full desired Expected Power Shelf set; BMC MAC addresses and shelf serial numbers must be unique
Response
MAC address of the Expected Power Shelf’s BMC (Baseboard Management Controller)
Optional BMC IP address (IPv4 or IPv6). When set, pre-allocates a reserved IP for the BMC.
User-defined key-value pairs for organizing and categorizing Expected Power Shelves